Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar

TÓPICO: API da versão 10

API da versão 10 20 Dez. 2014 10:55 #8486

  • bscardoso
  • Avatar de bscardoso
  • Offline
  • Mensagens: 20
  • Obrigado recebido 1
Segue em anexo o ficheiro de logs.
Anexos:
--
Bruno Cardoso
O adminstrador desactivou a escrita pública.

API da versão 10 19 Dez. 2014 18:53 #8485

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5421
  • Obrigado recebido 754
inforoeste escreveu:
Confirmo que agora esta tudo a funcionar com a o novo dropin 10.0.8, no entanto parece ser necessário ter o java 7 instalado pois se tiver somente o JAVA 8 e remover o JRE System library 1.6 do Java Build Path do projecto e adicionar o system JRE 1.8 da-me o seguinte erro:
"The type java.util.Map$Entry cannot be resolved. It is indirectly referenced from required .class files" na linha 111 da class InterfaceExampleAction do projecto exemplo

Como o JAVA 8 introduz uma série de novas funcionalidades (as quais não são necessárias) e para evitar que quem usa outros JVM que não o da Oracle possa ficar prejudicado, decidimos continuar sobre JAVA 7.

Por forma a termos a certeza que estamos a escrever código compatível com JAVA 7, não temos o JAVA 8 instalado nas plataformas de desenvolvimento, pelo que, nunca me deparei com qualquer erro...

Vou tentar analisar esta questão.
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

API da versão 10 19 Dez. 2014 18:18 #8481

  • inforoeste
  • Avatar de inforoeste
  • Offline
  • Mensagens: 39
  • Obrigado recebido 14
Ontem reportei os problemas de dependências, que ja foram resolvidos pelo Marco Lopes ao fim do dia de ontem.

Agora para por o projecto a funcionar basta seguir as instruções do website: code.google.com/p/projectocolibri/wiki/Instalacao

NOTA: Pareceu-me que é necessário ter o JAVA 7 instalado para o projecto não apresentar erros, tenho outra máquina que so tem o JAVA 8 e continuo com problemas de dependencia.

Atentamente
Última Edição: 19 Dez. 2014 18:48 por marcolopes.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes

API da versão 10 19 Dez. 2014 18:13 #8479

  • inforoeste
  • Avatar de inforoeste
  • Offline
  • Mensagens: 39
  • Obrigado recebido 14
Confirmo que agora esta tudo a funcionar com a o novo dropin 10.0.8, no entanto parece ser necessário ter o java 7 instalado pois se tiver somente o JAVA 8 e remover o JRE System library 1.6 do Java Build Path do projecto e adicionar o system JRE 1.8 da-me o seguinte erro:

"The type java.util.Map$Entry cannot be resolved. It is indirectly referenced from required .class files" na linha 111 da class InterfaceExampleAction do projecto exemplo
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes

API da versão 10 19 Dez. 2014 16:07 #8478

  • bscardoso
  • Avatar de bscardoso
  • Offline
  • Mensagens: 20
  • Obrigado recebido 1
Boa tarde,

Podem disponibilizar um ficheiro zip (pack eclipse com exemplo da API incluido), tal como foi feito na versão 9?

Estamos a ter alguns problemas de dependências e assim seria apenas corrigir o código com as alterações necessárias.

Obrigado,
Bruno Cardoso
--
Bruno Cardoso
O adminstrador desactivou a escrita pública.

API da versão 10 18 Dez. 2014 18:56 #8463

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5421
  • Obrigado recebido 754
inforoeste escreveu:
Notei que também estou a ter problemas do tipo "Unsatisfied version constraint" nas seguintes linhas do manifest.mf:
org.eclipse.ui;bundle-version="3.8.2",
org.eclipse.core.runtime;bundle-version="3.8.0"

O problema era mesmo este... as versões MÍNIMAS estavam a interferir (presumi erradamente, que daria apenas um aviso).

Refiz o export, já na versão 10.0.8, com as versões preparadas para Eclipse 3.7.

Pode fazer o download dos novos DROPINS no site da API. Testei os projectos tanto sobre Eclipse 3.7 como 3.8 sem qualquer erro.

Agradeço feedback!
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: inforoeste
Moderadores: marcolopes
Desenvolvido por Kunena